| Home | Libraries | People | FAQ | More

#### boost::mqtt5::subscribe_topic

A representation of a Topic Subscription consisting of a Topic Filter and Subscribe Options.

##### Synopsis

Defined in header `<boost/mqtt5/types.hpp>`

    struct subscribe_topic;

##### Data Members

Name | Description
--- | ---
sub_opts | The `subscribe_options` associated with the Subscription.
topic_filter | An UTF-8 Encoded String indicating the Topics to which the Client wants to subscribe.

Convenience header `<boost/mqtt5.hpp>`